## xmltoman 0.4

=== Makefile ===
PREFIX=/usr/local
PACKAGE=xmltoman
VERSION=0.3
DISTNAME=$(PACKAGE)-$(VERSION)
DISTFILES= COPYING Makefile README xml/ xmlmantohtml xmltoman xmltoman.css xmltoman.dtd xmltoman.xsl

all: xmltoman.1 xmlmantohtml.1

xmltoman.1: xml/xmltoman.1.xml
	./xmltoman $< > $@

xmlmantohtml.1: xml/xmlmantohtml.1.xml
	./xmltoman $< > $@

install:
	install -D xmltoman $(DESTDIR)/$(PREFIX)/bin/xmltoman
	install -D xmlmantohtml $(DESTDIR)/$(PREFIX)/bin/xmlmantohtml
	install -D -m 0644 xmltoman.dtd $(DESTDIR)/$(PREFIX)/share/xmltoman/xmltoman.dtd
	install -D -m 0644 xmltoman.css $(DESTDIR)/$(PREFIX)/share/xmltoman/xmltoman.css
	install -D -m 0644 xmltoman.xsl $(DESTDIR)/$(PREFIX)/share/xmltoman/xmltoman.xsl

dist:
	[ -d $(DISTNAME) ] && rm -rf $(DISTNAME) || true
	mkdir $(DISTNAME)
	cp -aR $(DISTFILES) $(DISTNAME)
	tar zcvf $(DISTNAME).tar.gz $(DISTNAME)
	rm -rf $(DISTNAME)

clean:
	rm -f *~ *.1 xml/*~

=== debian/changelog ===
xmltoman (0.4-4) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0.
      - DH level to 10.
  * debian/control:
      - Added the ${misc:Depends} variable to provide the right install
       dependencies.
      - Bumped Standards-Version to 3.9.8.
  * debian/copyright: updated all information and licenses.
  * debian/install: created to install the scprits in the right place.
  * debian/rules:
      - Added a override in dh_usrlocal to remove useless files.
  * debian/watch:
      - Bumped to version 4.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 16 Jan 2017 16:08:47 -0200

xmltoman (0.4-3) unstable; urgency=low

  * Package maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Ola Lundqvist <opal@debian.org>  Sat, 05 Nov 2011 17:07:02 +0100

xmltoman (0.4-2) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.8.0.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Sun, 15 Jun 2008 23:53:14 -0300

xmltoman (0.4-1) unstable; urgency=low

  * New upstream release. (Closes: #417208)
  * debian/watch updated. (Closes: #459997)
  * debian/control: Update Homepage header.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Sat, 22 Mar 2008 19:58:37 -0300

xmltoman (0.3-2) unstable; urgency=low

  * New mantainer. (closes: #452193)
  * Updated package to cdbs. (closes: #395652)
  * debian/control:
    - Added cdbs build-dependence.
    - Standards-Version: 3.7.3
    - Added "Homepage:" pseudo-header as Reference 1.14.6.
  * debian/compat: Added with compat 5.
  * debian/examples: Added.
  * debian/copyright: Updated Free Software Foundation address.
  * debian/manpages: Added.
  * debian/watch: Added.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Tue, 18 Dec 2007 10:04:33 -0200

xmltoman (0.3-1) unstable; urgency=low

  * new release:
    - man pages look much better now
    - includes xsl, dtd and css files (Thanks, Lennart!)

 -- Oliver Kurth <oku@debian.org>  Fri, 03 Oct 2003 15:34:04 +0200

xmltoman (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Oliver Kurth <oku@debian.org>  Tue,  8 Oct 2002 22:37:00 +0200

=== debian/control ===
Source: xmltoman
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), libxml-parser-perl
Standards-Version: 3.9.8
Homepage: http://sourceforge.net/projects/xmltoman/

Package: xmltoman
Architecture: all
Depends: ${misc:Depends}, libxml-parser-perl
Description: simple XML to man converter
 xmltoman and xmlmantohtml are two small scripts to convert xml to man
 pages in groff format or html. It features the usual man page items such a
 "description", "options", "see also" etc.

=== debian/watch ===
version=4
http://sf.net/xmltoman/xmltoman-(.*)\.tar\.gz

## xmltoman 0.5

=== Makefile ===
prefix=/usr/local
PACKAGE=xmltoman
VERSION=0.3
DISTNAME=$(PACKAGE)-$(VERSION)
DISTFILES= COPYING Makefile README xml/ xmlmantohtml xmltoman xmltoman.css xmltoman.dtd xmltoman.xsl

all: xmltoman.1 xmlmantohtml.1

xmltoman.1: xml/xmltoman.1.xml
	./xmltoman $< > $@

xmlmantohtml.1: xml/xmlmantohtml.1.xml
	./xmltoman $< > $@

install:
	install -D xmltoman $(DESTDIR)/$(prefix)/bin/xmltoman
	install -D xmlmantohtml $(DESTDIR)/$(prefix)/bin/xmlmantohtml
	install -D -m 0644 xmltoman.dtd $(DESTDIR)/$(prefix)/share/xmltoman/xmltoman.dtd
	install -D -m 0644 xmltoman.css $(DESTDIR)/$(prefix)/share/xmltoman/xmltoman.css
	install -D -m 0644 xmltoman.xsl $(DESTDIR)/$(prefix)/share/xmltoman/xmltoman.xsl

dist:
	[ -d $(DISTNAME) ] && rm -rf $(DISTNAME) || true
	mkdir $(DISTNAME)
	cp -aR $(DISTFILES) $(DISTNAME)
	tar zcvf $(DISTNAME).tar.gz $(DISTNAME)
	rm -rf $(DISTNAME)

clean:
	rm -f *~ *.1 xml/*~

=== debian/changelog ===
xmltoman (0.5-1) unstable; urgency=medium

  * New maintainer. (Closes: #647716).
  * New upstream release.
  * Added Multi-Arch: foreign to debian/control. (Closes: #862196).
  * Updated debian/watch to point to new upstream location.
  * Updated debian/control with maintainer information.
  * Updated debian/copyright with new maintainer and date.

 -- Adam Bilbrough <atsb@tutanota.de>  Wed, 23 Aug 2017 18:14:06 +0200

=== debian/control ===
Source: xmltoman
Section: devel
Priority: optional
Maintainer: Adam Bilbrough <atsb@tutanota.de>
Build-Depends: debhelper (>= 10), libxml-parser-perl
Standards-Version: 4.0.0
Homepage: https://gitlab.com/atsb/xmltoman

Package: xmltoman
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libxml-parser-perl
Description: simple XML to man converter
 xmltoman and xmlmantohtml are two small scripts to convert xml to man
 pages in groff format or html. It features the usual man page items such a
 "description", "options", "see also" etc.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ 

override_dh_usrlocal:
	rm -rf $(CURDIR)/debian/xmltoman/usr/local
	rm -rf $(CURDIR)/debian/xmltoman/usr/share/xmltoman
	dh_usrlocal

=== debian/watch ===
version=4
https://gitlab.com/atsb/xmltoman/tags \/atsb\/xmltoman\/repository\/archive.tar.gz\?ref=r([\d.]*)

## xmltoman 0.6

=== Makefile ===
prefix=/usr
PACKAGE=xmltoman
VERSION=0.6
DISTNAME=$(PACKAGE)-$(VERSION)
DISTFILES= COPYING Makefile README xml/ xmlmantohtml xmltoman xmltoman.css xmltoman.dtd xmltoman.xsl xmltoman.1 xmlmantohtml.1

all: xmltoman.1 xmlmantohtml.1

xmltoman.1: xml/xmltoman.1.xml
	chmod 0755 xmltoman
	./xmltoman $< > $@

xmlmantohtml.1: xml/xmlmantohtml.1.xml
	chmod 0755 xmlmantohtml
	./xmltoman $< > $@

#permissions still used during install to verify they are not changed.
install:
	install -D -m 0755 xmltoman $(DESTDIR)$(prefix)/bin/xmltoman
	install -D -m 0755 xmlmantohtml $(DESTDIR)$(prefix)/bin/xmlmantohtml
	install -D -m 0644 xmltoman.dtd $(DESTDIR)$(prefix)/share/xmltoman/xmltoman.dtd
	install -D -m 0644 xmltoman.css $(DESTDIR)$(prefix)/share/xmltoman/xmltoman.css
	install -D -m 0644 xmltoman.xsl $(DESTDIR)$(prefix)/share/xmltoman/xmltoman.xsl
	install -D -m 0644 xmltoman.1 $(DESTDIR)$(prefix)/share/man/man1/xmltoman.1
	install -D -m 0644 xmlmantohtml.1 $(DESTDIR)$(prefix)/share/man/man1/xmlmantohtml.1

dist: 
	[ -d $(DISTNAME) ] && rm -rf $(DISTNAME) || true
	mkdir $(DISTNAME)
	cp -aR $(DISTFILES) $(DISTNAME)
	tar zcvf $(DISTNAME).tar.gz $(DISTNAME)
	rm -rf $(DISTNAME)

clean:
	rm -f *~ *.1 xml/*~

=== debian/changelog ===
xmltoman (0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * d/watch: version=5
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Fix field name case in debian/copyright (Upstream-name ⇒ Upstream-Name).
  * Add debian/upstream/metadata

  [ Santiago Vila ]
  * Fix Makefile
    Closes: #1026023

 -- Andreas Tille <tille@debian.org>  Mon, 23 Feb 2026 11:34:01 +0100

xmltoman (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Updated debian/watch to point to new upstream location.
  * Updated debian/control with maintainer information.
  * Updated debian/copyright with new maintainer and date.

 -- Adam Bilbrough <ats@atlas.cz>  Sun, 19 May 2019 18:24:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xmltoman
 Section: devel
-Priority: optional
-Maintainer: Adam Bilbrough <atsb@tutanota.de>
-Build-Depends: debhelper (>= 10), libxml-parser-perl
-Standards-Version: 4.0.0
-Homepage: https://gitlab.com/atsb/xmltoman
+Maintainer: Adam Bilbrough <ats@atlas.cz>
+Build-Depends: debhelper-compat (= 13), libxml-parser-perl
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/xmltoman
+Vcs-Git: https://salsa.debian.org/debian/xmltoman.git
+Homepage: https://github.com/atsb/xmltoman
 
 Package: xmltoman
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_usrlocal:
 	rm -rf $(CURDIR)/debian/xmltoman/usr/local

=== debian/watch ===
Version: 5

Template: Github
Owner: atsb
Project: xmltoman
